Appearance
Parameters
Query parameters
page integerPage number to fetch. Defaults to
1, which is the first page.Default value:
1size integerNumber of items per page. Defaults to
50.Default value:
50keyword stringOptionally filter by free text keyword within messages.
helpdeskAccountIds integerMultivalued
Optionally filter by the ID of one or many helpdesk accounts.
resolutions enumMultivalued
Optionally filter by ticket resolutions.
Enum:
UNRESOLVEDRESOLVEDNO_ACTION_REQUIREDSPAMTRASHassignees integerMultivalued
Optionally filter by the IDs of the assigned users. The value
-1 can be used to find unassigned tickets.customerId integerOptionally filter by the ID of a customer.
labels integerMultivalued
Optionally filter by the IDs of labels.
dateFrom stringEarliest message date (inclusive).
dateTo stringLatest message date (inclusive).
sortingStrategy enumDefines the sorting of the search results.
Enum:
OLDEST_FIRSTRECENTLY_MODIFIED_FIRSTDefault value:
RECENTLY_MODIFIED_FIRSTResponse
Contains the search results.
JSON
{
"totalNumberOfHits": 123,
"totalHitsRelation": "...",
"page": 12345,
"hitsPerPage": 12345,
"tickets": [
{
"ticketId": "a5a1b1a9-2ad0-4bb9-86b1-3fae3b1e3dc6",
"version": 7,
"createdAt": "2025-09-11T08:15:30Z",
"modifiedAt": "2025-09-11T08:16:02Z",
"customerId": 352951,
"ticketNumber": 1001,
"helpdeskAccountId": 1,
"centralUserId": 41,
"resolution": "UNRESOLVED",
"labels": [
12345
],
"autoReply": false,
"senderAddress": "jane@example.com",
"senderName": "Jane Smith",
"subject": "Order inquiry",
"firstMessageId": "<generated@id>",
"lastMessageId": "<generated@id>",
"activities": [
{
"timestamp": "2025-09-11T08:16:02Z",
"type": "SET_RESOLUTION",
"centralUserId": 55,
"data": {...}
}
],
"numberOfMessages": 5,
"numberOfAttachments": 2,
"participants": [
"bob@example.com",
"charlie@example.com"
]
}
]
}
| Error code | Description |
|---|---|
page-must-be-larger-than-zero | Page must be larger than 0 |
size-cannot-be-larger-than-100 | Size cannot be larger than 100 |
size-must-be-a-positive-integer | Size must be a positive integer. |